Subject: Re: bug#18522: 24.4.50; mapcar is very slow

From: Nicolas Richard <[email-masked]>
Date: Fri, 19 Feb 2016 11:06:32 +0100

Eli Zaretskii <[email-masked]> writes:
> So a better benchmark is this:
>
>   (let ((gc-cons-threshold most-positive-fixnum))
>     (benchmark-run 1
>       (dotimes (i 10000)
> 	(parse-time-string "Fri, 13 Feb 2015 14:40:02 +0000"))))
>
> FWIW, this takes 1.2 sec in a fresh "emacs -Q", and 2.0 sec in a
> full-blown session running for 5 days.  That's clearly different from
> the data presented by Peter (but I don't use Gnus).

in my 9 days uptime session, I get (18.433154005 0 0.0)

from -Q I get : (7.823626407 0 0.0)

from a fresh emacs session where I forcibly loaded libraries similar to
my 9-days-old one, I get: (8.661741842 0 0.0)

Perhaps I should go back to optimized builds instead... other than that,
it seems that there is indeed a problem with the older session.

-- 
Nicolas